Cyberduck Mountain Duck CLI

#8904 closed defect (fixed)

Signature failure for folder with ampersand in name

Reported by: jhmk Owned by: dkocher
Priority: normal Milestone: 4.8
Component: s3 Version: 4.7
Severity: normal Keywords: S3, special characters
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

If I create a S3 Bucket in EU Central / Frankfurt and a subfolder contains a special character (e.g. &) like:

NameOfBucket
                 -> FolderWith&InTheName
                                      ->Files

Cyberduck didn't display the files. I can upload new ones but there are only visible in the S3 webview or aws cli. A Bucket in Ireland or US with the same folders and files is displayed correct. So maybe a problem with the new AWS-SHA256?

Thanks

Attachments (2)

s3-aws.png (12.8 KB) - added by jhmk on Jul 2, 2015 at 7:56:24 AM.
S3-bucket-frankfurt
s3-cyberduck.png (11.6 KB) - added by jhmk on Jul 2, 2015 at 7:56:44 AM.
s3-bucket-frankfurt-cyberduck

Download all attachments as: .zip

Change History (12)

Changed on Jul 2, 2015 at 7:56:24 AM by jhmk

S3-bucket-frankfurt

Changed on Jul 2, 2015 at 7:56:44 AM by jhmk

s3-bucket-frankfurt-cyberduck

comment:1 Changed on Jul 2, 2015 at 11:38:57 AM by dkocher

  • Description modified (diff)
  • Milestone set to 4.8
  • Priority changed from highest to normal
  • Severity changed from critical to normal
  • Status changed from new to assigned

comment:2 Changed on Jul 2, 2015 at 11:39:21 AM by dkocher

  • Summary changed from S3 -doesn't show content of folder with special characters to Doesn't show content of folder with ampersand in name

comment:3 Changed on Jul 2, 2015 at 12:02:16 PM by dkocher

I can reproduce this issue with bucket in eu-central.

comment:4 Changed on Jul 2, 2015 at 2:37:05 PM by dkocher

  • Sample response from eu-central for GET /?max-keys=1000&prefix=&/&delimiter=/ HTTP/1.1[\r][\n]
<ListBucketResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/"><Name>cyberduck-eucentral</Name><Prefix></Prefix><Marker></Marker><MaxKeys>1000</MaxKeys><Delimiter>/</Delimiter><IsTruncated>false</IsTruncated><CommonPrefixes><Prefix>&amp;/</Prefix></CommonPrefixes></ListBucketResult>[\r][\n]

Compared with a properly escaped request

  • Sample response from us-east-1 for GET /?max-keys=1000&prefix=%26%2F&delimiter=%2F HTTP/1.1[\r][\n]
<ListBucketResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/"><Name>cyberduck-useast</Name><Prefix>&amp;/</Prefix><Marker></Marker><MaxKeys>1000</MaxKeys><Delimiter>/</Delimiter><IsTruncated>false</IsTruncated><Contents><Key>&amp;/</Key><LastModified>2015-07-02T14:17:29.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><Owner><ID>9e566b20db6d815be833c75619604c94f421d600420bba9d92214ad250dfdbe1</ID><DisplayName>_</DisplayName></Owner><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>&amp;/f</Key><LastModified>2015-07-02T14:17:32.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><Owner><ID>9e566b20db6d815be833c75619604c94f421d600420bba9d92214ad250dfdbe1</ID><DisplayName>_</DisplayName></Owner><StorageClass>STANDARD</StorageClass></Contents></ListBucketResult>[\r][\n]

The error is indeed that when using AWS4 authorization the request line is rewritten and not properly URI encoded.

comment:5 Changed on Jul 3, 2015 at 10:51:33 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17909 from upstream 925da07.

Last edited on Jul 3, 2015 at 11:59:43 AM by dkocher (previous) (diff)

comment:6 Changed on Jul 31, 2015 at 11:49:19 AM by dkocher

  • Milestone changed from 4.8 to 4.7.2

comment:7 Changed on Dec 4, 2015 at 2:57:54 PM by dkocher

  • Milestone changed from 4.7.2 to 4.8
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on Jan 18, 2016 at 4:39:32 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:10 Changed on Jan 19, 2016 at 2:18:26 PM by dkocher

  • Summary changed from Doesn't show content of folder with ampersand in name to Signature failure for folder with ampersand in name
Note: See TracTickets for help on using tickets.
swiss made software